#!/usr/bin/env bash
set -o nounset -o errexit -o xtrace

### [project-create]
olp project create {{YOUR_PROJECT_ID}} {{YOUR_PROJECT_NAME}}
### [project-create]

### [project-access-list]
olp project access list {{YOUR_PROJECT_HRN}}
### [project-access-list]

### [catalog-create]
olp catalog create {{YOUR_CATALOG_ID}} \
    "Simulated sensor data archive from tutorial" \
    --config sdii-versioned.json \
    --scope {{YOUR_PROJECT_HRN}}
### [catalog-create]

### [catalog-show]
olp catalog show {{YOUR_CATALOG_HRN}} \
    --scope {{YOUR_PROJECT_HRN}}
### [catalog-show]

### [layer-show]
olp catalog layer show {{YOUR_CATALOG_HRN}} sdii-message-archive \
    --scope {{YOUR_PROJECT_HRN}}
### [layer-show]

### [link-public-catalog]
olp project resource link {{YOUR_PROJECT_HRN}} {{PUBLIC_CATALOG_HRN}}
### [link-public-catalog]

### [project-resource-list]
olp project resource list {{YOUR_PROJECT_HRN}}
### [project-resource-list]
